Subject: Re: bug#57364: 28.1.91; asynchronous X server error when creating a second frame on alternate DISPLAY

From: Po Lu <[email-masked]>
Date: Tue, 30 Aug 2022 15:02:23 +0800

andrés ramírez <[email-masked]> writes:

> Could You create a test case about the Cairo with the Xlib surface for
> replicating the issue?.
>
> That would be nice for knowing which side has the bug the emacs-side or
> the cairo-side.

We already know it's cairo-side, since it goes away upon switching Cairo
backends, and Emacs doesn't make RenderFreeGlyphs requests itself.

> We should try to show a warning when a cairo installation does not have
> the XCB surface. WDYT?

That's unnecessary, since the Cairo XCB surface is present everywhere.
I'd rather put a mention of the crash in etc/PROBLEMS for Emacs 28.